# Type Alias ProgressProps

ProgressProps: React.ComponentProps<typeof Container> & {
scaleFrom?: number;
scaleTo?: number;
value?: number;
valueFrom?: number;
}

#### Type declaration

- ##### `Optional` scaleFrom?: number

  Redefines the scale of the progress bar. By default, the scale is 0-100. This controls the starting point of the progress bar.

- ##### `Optional` scaleTo?: number

  Redefines the scale of the progress bar. By default, the scale is 0-100. This controls the ending point of the progress bar.

- ##### `Optional` value?: number

  The value of the progress bar. If used alone, it's the percentage value of the progress bar.

- ##### `Optional` valueFrom?: number

  Value from which the value bar starts. Default is equal to `scaleFrom`.

- Defined in src/components/ui/progress/Progress.tsx:10